Package org.eclipse.emf.spi.cdo

# Class AbstractConflictResolver

java.lang.Object
org.eclipse.emf.spi.cdo.AbstractConflictResolver

All Implemented Interfaces:
  `CDOConflictResolver`

Direct Known Subclasses:
  `AbstractChangeSetsConflictResolver`, `AbstractObjectConflictResolver`

public abstract class AbstractConflictResolver extends Object implements CDOConflictResolver
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`CDOConflictResolver.NonConflictAware`

## Constructor Summary

Constructors
Constructor
Description
`AbstractConflictResolver()`

## Method Summary

Modifier and Type
Method
Description
`CDOTransaction`
`getTransaction()`
Returns the `transaction` this conflict resolver is associated with.
`protected void`
`hookTransaction(CDOTransaction transaction)`
`void`
`setTransaction(CDOTransaction transaction)`
Sets the `transaction` this conflict resolver is to be associated with.
`protected void`
`unhookTransaction(CDOTransaction transaction)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`resolveConflicts`

## Constructor Details

### AbstractConflictResolver

public AbstractConflictResolver()

## Method Details

### getTransaction

public CDOTransaction getTransaction()
Description copied from interface: `CDOConflictResolver`
Returns the `transaction` this conflict resolver is associated with.

Specified by:
  `getTransaction` in interface `CDOConflictResolver`

### setTransaction

public void setTransaction(CDOTransaction transaction)
Description copied from interface: `CDOConflictResolver`
Sets the `transaction` this conflict resolver is to be associated with.

Specified by:
  `setTransaction` in interface `CDOConflictResolver`

### hookTransaction

protected void hookTransaction(CDOTransaction transaction)

### unhookTransaction

protected void unhookTransaction(CDOTransaction transaction)